# Search forward deals Endpoint: POST /forward-deals/account/{AccountIdentifier}/action/search Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" ## Query parameters: - `page` (integer) - `size` (integer) - `include` (string) Comma-separated values from optional response fields ## Request fields (application/json): - `programs` (array) - `lastUpdatedDateFrom` (string) - `lastUpdatedDateTo` (string) - `counterpartyName` (string) If this search parameter is passed as ““ then deals with no counterparty identifier specified will be returned. - `dealName` (string) ## Response 200 fields (application/json): - `page` (integer, required) - `size` (integer, required) - `totalPages` (integer, required) - `totalElements` (integer, required) - `content` (array) - `content.name` (string) Name of the forward deal. - `content.memo` (string) Memo if provided by the XC user. - `content.executionDate` (string) Execution date. - `content.externalDealId` (string) Optional external ID. - `content.type` (string) Type of deal as either Market or Project Specific. - `content.status` (string) Status of the deal. Enum: "PENDING", "EXECUTED", "COMPLETED" - `content.transactionSideType` (string) Buy or Sell Enum: "BUY", "SELL" - `content.program` (string) Program/Registry associated with the deal. Ref.Data.REGISTRY_PROGRAM_REGI - `content.vintageType` (string) The type of vintage range used to define what vintage(s) of credits will be deliverable with each delivery Longitude. Enum: "COMPLIANCE_YEAR", "GENERATION_YEAR", "CALENDAR" - `content.createdBy` (string) Created by id. - `content.trader` (string) Trader name associated with the deal. - `content.privateCounterpartyDetails` (object) - `content.privateCounterpartyDetails.contactName` (string) Optional contact name. - `content.privateCounterpartyDetails.name` (string) Optional counterparty name. - `content.privateCounterpartyDetails.tradeDate` (string) Optional trade date. - `content.privateCounterpartyDetails.contractNumber` (string) Optional contract number. - `content.unitOfMeasure` (string) Unit of measure. Enum: "ALLOW", "MWh", "lb", "ton", "t" - `content.counterpartyName` (string) Name of the counterparty in the registry for this deal. - `content.brokerDetails` (object) - `content.brokerDetails.identifier` (string) Broker id. - `content.brokerDetails.name` (string) Broker name. - `content.brokerDetails.fee` (object) Broker fee. - `content.brokerDetails.fee.currency` (string, required) Currency (USD etc...) - `content.brokerDetails.fee.amount` (number, required) The numeric value of the price - `content.lastUpdatedDate` (string) Last updated date. - `content.forwardPortfolio` (object) - `content.forwardPortfolio.identifier` (string) - `content.forwardPortfolio.name` (string) - `content.confirmDetails` (object) - `content.confirmDetails.comments` (string) Comments associated with the confirm action if provided by the XC client. - `content.confirmDetails.brokerInWriting` (boolean) Flag for if confirm was agreed with broker in writing. - `content.confirmDetails.receivedDate` (string) Date the confirm was received. - `content.confirmDetails.executionDate` (string) Date of deal execution related to this confirm action. - `content.statusEvents` (array) Optional property. Use include param. - `content.statusEvents.type` (any) Enum: "PENDING", "EXECUTED", "COMPLETED" - `content.statusEvents.action` (string) Action for the statusEvent. - `content.statusEvents.notes` (string) Notes for the statusEvent. - `content.statusEvents.timestamp` (string) Timestamp for the statusEvent. - `content.statusEvents.user` (string) User for the statusEvent. - `content.forwardTransactions` (array) - `content.forwardTransactions.identifier` (string) Unique identifier. - `content.forwardTransactions.deliveryDate` (string) Schedule delivery date. - `content.forwardTransactions.quantity` (integer) Scheduled delivery quantity. - `content.forwardTransactions.quantityType` (string) Quantity type. Enum: "PERCENT", "UNIT" - `content.forwardTransactions.status` (string) Delivery status. Enum: "INACTIVE", "ACTIVE", "DELIVERY_STARTED", "DELIVERY_COMPLETED", "DELIVERY_CANCELLED", "MATCHED" - `content.forwardTransactions.deliveryScheduleType` (string) Delivery schedule type. Enum: "ON_ISSUANCE", "ON_DATE", "ON_OR_BEFORE_DATE", "ON_CONFIRM_EXEC", "DATE_RANGE" - `content.forwardTransactions.contractedDetails` (object) - `content.forwardTransactions.contractedDetails.volume` (integer) Delivered volume. - `content.forwardTransactions.contractedDetails.unitPrice` (object) Delivered price. - `content.forwardTransactions.contractedDetails.value` (object) Delivered value. - `content.forwardTransactions.deliveredDetails` (object) - `content.forwardTransactions.netOpenVolume` (integer) Remaining open volume. - `content.forwardTransactions.createdDate` (string) Delivery created date. - `content.forwardTransactions.lastUpdatedDate` (string) Delivery last updated date. - `content.forwardTransactions.forwardInstrument` (object) - `content.forwardTransactions.forwardInstrument.deliveryDateRange` (object) - `content.forwardTransactions.forwardInstrument.deliveryDateRange.startMonth` (integer) Month of delivery start. - `content.forwardTransactions.forwardInstrument.deliveryDateRange.startYear` (integer) Year of delivery start. - `content.forwardTransactions.forwardInstrument.deliveryDateRange.endMonth` (integer) Month of delivery end. - `content.forwardTransactions.forwardInstrument.deliveryDateRange.endYear` (integer) Year of delivery end. - `content.forwardTransactions.deliveryNotes` (string) - `content.forwardTransactions.statusEvents` (array) Optional property. Use include param. Status event types. - `content.forwardTransactions.linkedTransfers` (array) Optional property. Use include param. Each value represents a transaction ID for the linked transfer. ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_REQUEST", "INVALID_PROGRAM", "INVALID_DATE_RANGE", "INVALID_PAGE_SIZE", "INVALID_PAGE_NUMBER" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)